Skip to content
GPU Ninja

GPU Ninja API reference

Every endpoint of the GPU Ninja JSON API, version 1.1.0.

Endpoints

GET /api/v1/benchmarks

Returns
BenchmarkCollectionPage
Parameters
None
Not found
Not found.

GET /api/v1/benchmarks/page/{page}

Returns
BenchmarkCollectionPage
Parameters
page (integer)
Not found
No such page.

GET /api/v1/benchmarks/{slug}

Returns
BenchmarkDetail
Parameters
slug (Slug)
Not found
No such benchmark.

GET /api/v1/boards

Returns
BoardCollectionPage
Parameters
None
Not found
Not found.

GET /api/v1/boards/all

Returns
BoardCollectionPage
Parameters
None
Not found
Not found.

GET /api/v1/boards/all/page/{page}

Returns
BoardCollectionPage
Parameters
page (integer)
Not found
No such page.

GET /api/v1/boards/page/{page}

Returns
BoardCollectionPage
Parameters
page (integer)
Not found
No such page.

GET /api/v1/boards/{slug}

Returns
BoardDetail
Parameters
slug (Slug)
Not found
No such board.

GET /api/v1/boards/{slug}/can-run

Returns
BoardCanRun
Parameters
slug (Slug)
Not found
No such board.

GET /api/v1/boards/{slug}/fits

Returns
BoardFits
Parameters
slug (Slug)
Not found
No such board.

GET /api/v1/changes

Returns
Changes
Parameters
None
Not found
Not found.

GET /api/v1/changes/{month}

Returns
ChangesArchive
Parameters
month (string)
Not found
No changes were merged that month.

GET /api/v1/chassis

Returns
ChassisCollectionPage
Parameters
None
Not found
Not found.

GET /api/v1/chassis/all

Returns
ChassisCollectionPage
Parameters
None
Not found
Not found.

GET /api/v1/chassis/all/page/{page}

Returns
ChassisCollectionPage
Parameters
page (integer)
Not found
No such page.

GET /api/v1/chassis/page/{page}

Returns
ChassisCollectionPage
Parameters
page (integer)
Not found
No such page.

GET /api/v1/chassis/{slug}

Returns
ChassisDetail
Parameters
slug (Slug)
Not found
No such chassis.

GET /api/v1/chassis/{slug}/fits

Returns
ChassisFits
Parameters
slug (Slug)
Not found
No such chassis.

GET /api/v1/chips

Returns
ChipCollectionPage
Parameters
None
Not found
Not found.

GET /api/v1/chips/all

Returns
ChipCollectionPage
Parameters
None
Not found
Not found.

GET /api/v1/chips/all/page/{page}

Returns
ChipCollectionPage
Parameters
page (integer)
Not found
No such page.

GET /api/v1/chips/page/{page}

Returns
ChipCollectionPage
Parameters
page (integer)
Not found
No such page.

GET /api/v1/chips/{slug}

Returns
ChipDetail
Parameters
slug (Slug)
Not found
No such chip.

GET /api/v1/index

Returns
SearchIndex
Parameters
None
Not found
Not found.

GET /api/v1/models

Returns
ModelCollectionPage
Parameters
None
Not found
Not found.

GET /api/v1/models/page/{page}

Returns
ModelCollectionPage
Parameters
page (integer)
Not found
No such page.

GET /api/v1/models/{slug}

Returns
ModelDetail
Parameters
slug (Slug)
Not found
No such model.

GET /api/v1/models/{slug}/runs-on

Returns
ModelRunsOn
Parameters
slug (Slug)
Not found
No such model.

GET /api/v1/motherboards

Returns
MotherboardCollectionPage
Parameters
None
Not found
Not found.

GET /api/v1/motherboards/all

Returns
MotherboardCollectionPage
Parameters
None
Not found
Not found.

GET /api/v1/motherboards/all/page/{page}

Returns
MotherboardCollectionPage
Parameters
page (integer)
Not found
No such page.

GET /api/v1/motherboards/page/{page}

Returns
MotherboardCollectionPage
Parameters
page (integer)
Not found
No such page.

GET /api/v1/motherboards/{slug}

Returns
MotherboardDetail
Parameters
slug (Slug)
Not found
No such motherboard.

GET /api/v1/platforms

Returns
PlatformCollectionPage
Parameters
None
Not found
Not found.

GET /api/v1/platforms/page/{page}

Returns
PlatformCollectionPage
Parameters
page (integer)
Not found
No such page.

GET /api/v1/platforms/{slug}

Returns
PlatformDetail
Parameters
slug (Slug)
Not found
No such platform.

GET /api/v1/risers

Returns
RiserCollectionPage
Parameters
None
Not found
Not found.

GET /api/v1/risers/all

Returns
RiserCollectionPage
Parameters
None
Not found
Not found.

GET /api/v1/risers/all/page/{page}

Returns
RiserCollectionPage
Parameters
page (integer)
Not found
No such page.

GET /api/v1/risers/page/{page}

Returns
RiserCollectionPage
Parameters
page (integer)
Not found
No such page.

GET /api/v1/risers/{slug}

Returns
RiserDetail
Parameters
slug (Slug)
Not found
No such riser.

GET /api/v1/sockets

Returns
SocketCollectionPage
Parameters
None
Not found
Not found.

GET /api/v1/sockets/page/{page}

Returns
SocketCollectionPage
Parameters
page (integer)
Not found
No such page.

GET /api/v1/sockets/{slug}

Returns
SocketDetail
Parameters
slug (Slug)
Not found
No such socket.

Schemas

ApiChange

aspect
one of record, offer, benchmark-result, fit-override
correction
boolean
currency
CurrencyCode or null
entity
object
field
string or null
from
Scalar
merchant
string or null
op
ApiChangeOp
result
object or null
rowKey
string
rowOp
one of insert, update, delete
to
Scalar
values
object or null

ApiChangeOp

Type
one of added, updated, removed, discontinued, corrected

ApiChangeRecord

changes
array of ApiChange
date
IsoDate
id
ChangeRecordId
mergedAt
UtcTimestamp
origin
one of research, manual

BenchmarkCollectionPage

apiVersion
string
asOf
UtcTimestamp or null
collection
string
items
array of BenchmarkSummary
kind
string
links
object
page
integer
pageCount
integer
pageSize
number
scope
one of active, all
totalItems
integer

BenchmarkDetail

apiVersion
string
asOf
UtcTimestamp or null
data
object
kind
string
links
Links

BenchmarkResult

benchmark
object
model
EntityRef or null
platform
EntityRef
runDate
IsoDate
sourceUrl
HttpsUrl
subject
object
value
number

BenchmarkSummary

higherIsBetter
boolean
links
Links
metric
string
name
string
resultCount
integer
slug
Slug
suite
string or null
unit
string
workloadType
string or null

BoardCanRun

apiVersion
string
asOf
UtcTimestamp or null
board
BoardSummary
determinable
boolean
items
array of object
kind
string
links
Links

BoardCollectionPage

apiVersion
string
asOf
UtcTimestamp or null
collection
string
items
array of BoardSummary
kind
string
links
object
page
integer
pageCount
integer
pageSize
number
scope
one of active, all
totalItems
integer

BoardDetail

apiVersion
string
asOf
UtcTimestamp or null
data
object
kind
string
links
Links

BoardFits

apiVersion
string
asOf
UtcTimestamp or null
board
BoardSummary
counts
FitCounts
items
array of object
kind
string
links
Links
rule
object

BoardSummary

chipSlug
Slug
inStock
boolean
lengthMm
number or null
links
Links
lowestPriceUsd
UsdAmount or null
name
string
slotWidth
number or null
slug
Slug
status
LifecycleStatus
tdpW
number or null
unknownFields
array of one of vramGb, vramType, factoryBoostClockMhz, tdpW, lengthMm, widthMm, slotWidth, powerConnectors, recommendedPsuW, coolingType, discontinuedAt
vendor
string
vramGb
number or null

ChangeRecordId

Type
string

Changes

apiVersion
string
archive
array of object
asOf
UtcTimestamp or null
kind
string
links
Links
records
array of ApiChangeRecord
window
object or null

ChangesArchive

apiVersion
string
asOf
UtcTimestamp
kind
string
links
Links
month
string
records
array of ApiChangeRecord

ChassisCollectionPage

apiVersion
string
asOf
UtcTimestamp or null
collection
string
items
array of ChassisSummary
kind
string
links
object
page
integer
pageCount
integer
pageSize
number
scope
one of active, all
totalItems
integer

ChassisDetail

apiVersion
string
asOf
UtcTimestamp or null
data
object
kind
string
links
Links

ChassisFits

apiVersion
string
asOf
UtcTimestamp or null
chassis
ChassisSummary
counts
FitCounts
items
array of object
kind
string
links
Links
rule
object

ChassisSummary

expansionSlots
integer or null
formFactor
string or null
inStock
boolean
links
Links
lowestPriceUsd
UsdAmount or null
maxGpuLengthMm
number or null
maxGpuSlots
number or null
name
string
psuIncludedW
number or null
slug
Slug
status
LifecycleStatus
vendor
string
verticalMountSlots
number or null

ChipCollectionPage

apiVersion
string
asOf
UtcTimestamp or null
collection
string
items
array of ChipSummary
kind
string
links
object
page
integer
pageCount
integer
pageSize
number
scope
one of active, all
totalItems
integer

ChipDetail

apiVersion
string
asOf
UtcTimestamp or null
data
object
kind
string
links
Links

ChipSummary

architecture
string or null
bf16Tflops
number or null
boardCount
integer
fp16Tflops
number or null
fp32Tflops
number or null
fp4Tflops
number or null
fp8Tflops
number or null
int8Tops
number or null
launchDate
IsoDate or null
links
Links
maxVramGb
number or null
memoryBandwidthGbps
number or null
name
string
pcieGen
integer or null
pcieLanes
integer or null
referenceTdpW
number or null
segment
string or null
slug
Slug
status
LifecycleStatus
unknownFields
array of one of architecture, dieName, processNode, shaderCores, tensorCores, rtCores, memoryBusWidthBits, maxVramGb, memoryBandwidthGbps, referenceBoostClockMhz, referenceTdpW, fp32Tflops, fp16Tflops, bf16Tflops, fp8Tflops, fp4Tflops, int8Tops, launchMsrpUsd, launchDate, pci.deviceIds, discontinuedAt, pcieGen, pcieLanes
vendor
string

CurrencyCode

Type
string

EntityRef

links
Links
name
string
slug
Slug

EntityType

Type
one of chip, board, chassis, model, platform, benchmark, motherboard, riser, socket

FieldProvenance

lastVerifiedAt
UtcTimestamp or null
retrievedAt
UtcTimestamp
runId
RunId or null
sourceUrl
HttpsUrl
verificationStatus
VerificationStatus

FitCounts

check
integer
doesNotFit
integer
fits
integer

FitReason

Type
object or object or object or object or object

FitResult

basis
one of dimensions, override
reasons
array of FitReason
verdict
FitVerdict

FitVerdict

Type
one of fits, check, does-not-fit

HttpsUrl

Type
string

IsoDate

Type
string

LifecycleStatus

Type
one of active, discontinued

Links

page
HttpsUrl or null
self
HttpsUrl
text
HttpsUrl or null

ModelCollectionPage

apiVersion
string
asOf
UtcTimestamp or null
collection
string
items
array of ModelSummary
kind
string
links
object
page
integer
pageCount
integer
pageSize
number
scope
one of active, all
totalItems
integer

ModelDetail

apiVersion
string
asOf
UtcTimestamp or null
data
object
kind
string
links
Links

ModelRunsOn

apiVersion
string
asOf
UtcTimestamp or null
determinable
boolean
items
array of object
kind
string
links
Links
model
ModelSummary

ModelSummary

activeParametersB
number or null
contextLength
integer or null
headDim
integer or null
hiddenSize
integer or null
kvHeads
integer or null
layers
integer or null
links
Links
minVramGb
number or null
modality
string or null
name
string
parametersB
number or null
publisher
string or null
quantization
string or null
slug
Slug

MoneyAmount

Type
number

MotherboardCollectionPage

apiVersion
string
asOf
UtcTimestamp or null
collection
string
items
array of MotherboardSummary
kind
string
links
object
page
integer
pageCount
integer
pageSize
number
scope
one of active, all
totalItems
integer

MotherboardDetail

apiVersion
string
asOf
UtcTimestamp or null
data
object
kind
string
links
Links

MotherboardPcieSlot

electricalLanes
integer
pcieGen
integer
physicalLanes
integer
position
integer

MotherboardSummary

formFactor
string or null
links
Links
name
string
pcieSlotCount
integer
slug
Slug
socketSlug
Slug
status
LifecycleStatus
vendor
string

Offer

currency
CurrencyCode
inStock
boolean
merchant
string
price
MoneyAmount
retrievedAt
UtcTimestamp
sourceUrl
HttpsUrl or null

PciId

Type
string

PlatformCollectionPage

apiVersion
string
asOf
UtcTimestamp or null
collection
string
items
array of PlatformSummary
kind
string
links
object
page
integer
pageCount
integer
pageSize
number
scope
one of active, all
totalItems
integer

PlatformDetail

apiVersion
string
asOf
UtcTimestamp or null
data
object
kind
string
links
Links

PlatformSummary

cpu
string or null
framework
string or null
frameworkVersion
string or null
links
Links
name
string
os
string or null
pcieGen
integer or null
slug
Slug

Provenance

Type
object

PsuAdvisory

includedW
number or null
recommendedW
number or null
sufficient
boolean or null

RiserCollectionPage

apiVersion
string
asOf
UtcTimestamp or null
collection
string
items
array of RiserSummary
kind
string
links
object
page
integer
pageCount
integer
pageSize
number
scope
one of active, all
totalItems
integer

RiserDetail

apiVersion
string
asOf
UtcTimestamp or null
data
object
kind
string
links
Links

RiserSummary

lanes
integer or null
lengthMm
number or null
links
Links
name
string
pcieGen
integer or null
slug
Slug
status
LifecycleStatus
vendor
string

RunId

Type
string

Scalar

Type
string or number or boolean or null

SearchIndex

apiVersion
string
asOf
UtcTimestamp or null
counts
object
datasetHash
string
entries
array of SearchIndexEntry
formatVersion
string
kind
string
speedReference
object

SearchIndexEntry

chipSlug
Slug or null
inStock
boolean or null
kind
SearchIndexKind
lengthMm
number or null
lowestPriceUsd
UsdAmount or null
name
string
pciDeviceIds
array of PciId
pciVendorId
PciId or null
pcieGen
integer or null
powerConnectors
array of object or null
recommendedPsuW
number or null
slotWidth
number or null
slug
Slug
socket
Slug or null
speedTokPerSec
number or null
status
LifecycleStatus
tdpW
number or null
vendor
string or null
vramGb
number or null
vramType
string or null
widthMm
number or null

SearchIndexKind

Type
one of chip, board, chassis, model, motherboard, riser

Slug

Type
string

SocketCollectionPage

apiVersion
string
asOf
UtcTimestamp or null
collection
string
items
array of SocketSummary
kind
string
links
object
page
integer
pageCount
integer
pageSize
number
scope
one of active, all
totalItems
integer

SocketDetail

apiVersion
string
asOf
UtcTimestamp or null
data
object
kind
string
links
Links

SocketSummary

links
Links
motherboardCount
integer
name
string
segment
string or null
slug
Slug
vendor
string

UsdAmount

Type
number

UtcTimestamp

Type
string

VerificationStatus

Type
string